#include "sl_alloc_test.h"
#include "erl_process.h"
#include "erl_vm.h"

#define TEST_HEAP_SZ 32

int placed_on_heap = 1;

Eterm*
erts_heap_alloc(Process *p, Uint need)
{
  placed_on_heap = 0;
  return NULL;
}

START_TEST
{
  Uint size = ~((Uint) 0) - 1;  
  Eterm *hp;
  Eterm heap[TEST_HEAP_SZ];
  Process proc;

  proc.heap = heap;
  proc.hend = heap + TEST_HEAP_SZ;
  proc.htop = proc.heap + 1;
  proc.stop = proc.hend - 1;

  hp = HAlloc(&proc, size);

  if(placed_on_heap)
    FAIL_TEST;

  TEST_SUCCEEDED;
}
END_TEST
